#include "GraphIn.h"

int nodeNames[MAXNODES];
int nodesSubG[MAXNODES];
int Adj[MAXNODES][MAXNODES];

FILE *fpIn, *fpOut;

int main(int argc, char *argv[])
{
  int i, j;
  
	fpIn = stdin;
	fpOut = stdout;
	if ( argc > 1 )
	{ /* we have args */
		while ( --argc )
		{ /* scan argument list backwards */
			if ( *argv[ argc ] == '-' )
			{ /* hyphen indicates a parameter */
				switch ( tolower(*( argv[ argc ] + 1 )) )
				{
					case 'i':	/* next arg is input file name. Open it */
						if ( NULL != ( fpIn = fopen( argv[ argc + 1 ], "r" )))
						  break;
						if ( NULL != ( fpIn = fopen( argv[ argc ] + 2, "r" )))
						  break;
						fpIn = stdin; /* set default */
						break;
					case 'o': /* next arg is output file name. Open it */
						if ( NULL != ( fpOut = fopen( argv[ argc + 1 ], "w" )))
						  break;
						if ( NULL != ( fpOut = fopen( argv[ argc ] + 2, "w" )))
						  break;
						fpOut = stdout;  /* set default */
						break;
					default:
						/* change this accordingly */
						fprintf( stderr, "%s lists the arcs of the induced subgraph for a given graph\n",
											argv[ 0 ] );
						fprintf( stderr, "Usage: %s [-i <inputFilename>] [-o <outputFilename>]\n",
											argv[ 0 ] );
						fprintf( stderr, "\t <inputFilename> defaults to stdin\n" );
						fprintf( stderr, "\t <outputFilename> defaults to stdout\n" );
            fprintf( stderr, "Input structure:\n<tag><args>\n" );
            fprintf( stderr, "Arguments are separated by spaces. First arg immediately follows <command>\n" );
            fprintf( stderr, "Tag is one of:\n\n" );
            fprintf( stderr, "\tV_nodes\t- list of node ids\n" );
            fprintf( stderr, "\tV_arcs\t- list of arc pairs\n" );
            fprintf( stderr, "\tV'_arcs\t- list of node ids\n" );
            fprintf( stderr, "\tnode ids are positive integers separated by spaces\n" );
            fprintf( stderr, "\tarc pairs are pairs of node ids in paranthesis (tail head)\n" );
						exit( 1 );
				}
			} /* if current arg begins with '-' */
		} /* while have args */
	} /* if prog has args */
	/* do your job */
	/* Read number of vertices in graph G */

  readData();
  for (i=0; i<MAXNODES && nodeNames[i]>=0; i++)
  {
    printf("%d ", nodeNames[i]);
  }
  printf("\n");
  for (i=0; i<MAXNODES && nodeNames[i]>=0; i++)
  {
    printf("%d: ", nodeNames[i]);
    for (j=0; j<MAXNODES && nodeNames[j]>=0; j++)
    {
      if (Adj[i][j])
        printf("%d->%d ", nodeNames[i], nodeNames[j]);
    }
  }
  return 0;
}
